Subject: data: add missing openSUSE distro information
From: Charles Arnold carnold@suse.com Tue Mar 22 15:56:09 2016 -0600
Date: Thu Mar 24 11:44:18 2016 +0100:
Git: 92c55cab6b219d1f4e7e360f92e2562d016b81d5

Add missing openSUSE distro information.

Added os data and isodata for the following distros:
openSUSE Leap 42.1
openSUSE Tumbleweed

Index: libosinfo-0.3.0/data/os/opensuse.org/opensuse-42.1.xml.in
===================================================================
--- /dev/null
+++ libosinfo-0.3.0/data/os/opensuse.org/opensuse-42.1.xml.in
@@ -0,0 +1,25 @@
+<libosinfo version="0.0.1">
+  <os id="http://opensuse.org/opensuse/42.1">
+    <short-id>opensuse42.1</short-id>
+    <_name>openSUSE Leap 42.1</_name>
+    <version>42.1</version>
+    <_vendor>openSUSE</_vendor>
+    <family>linux</family>
+    <distro>opensuse</distro>
+    <upgrades id="http://opensuse.org/opensuse/13.2" />
+    <derives-from id="http://opensuse.org/opensuse/13.2" />
+
+    <release-date>2015-11-04</release-date>
+
+    <media arch="x86_64">
+      <url>http://download.opensuse.org/distribution/leap/42.1/iso/openSUSE-Leap-42.1-DVD-x86_64.iso</url>
+      <iso>
+        <volume-id>openSUSE-Leap-42.1-DVD-x86_64026</volume-id>
+        <system-id>LINUX</system-id>
+        <publisher-id>SUSE LINUX GmbH</publisher-id>
+      </iso>
+      <kernel>boot/x86_64/loader/linux</kernel>
+      <initrd>boot/x86_64/loader/initrd</initrd>
+    </media>
+  </os>
+</libosinfo>
Index: libosinfo-0.3.0/data/os/opensuse.org/opensuse-tumbleweed.xml.in
===================================================================
--- /dev/null
+++ libosinfo-0.3.0/data/os/opensuse.org/opensuse-tumbleweed.xml.in
@@ -0,0 +1,48 @@
+<libosinfo version="0.0.1">
+  <os id="http://opensuse.org/opensuse/tumbleweed">
+    <short-id>opensusetumbleweed</short-id>
+    <_name>openSUSE Tumbleweed</_name>
+    <version>tumbleweed</version>
+    <_vendor>openSUSE</_vendor>
+    <family>linux</family>
+    <distro>opensuse</distro>
+    <upgrades id="http://download.opensuse.org/tumbleweed/repo" />
+    <derives-from id="http://download.opensuse.org/tumbleweed/repo" />
+
+    <media arch="i686">
+      <url>http://download.opensuse.org/tumbleweed/iso/openSUSE-Tumbleweed-DVD-i586-Current.iso</url>
+      <iso>
+        <volume-id>openSUSE-Tumbleweed-DVD-i586*</volume-id>
+        <system-id>LINUX</system-id>
+        <publisher-id>SUSE LINUX GmbH</publisher-id>
+      </iso>
+      <kernel>boot/i386/loader/linux</kernel>
+      <initrd>boot/i386/loader/initrd</initrd>
+    </media>
+    <media arch="x86_64">
+      <url>http://download.opensuse.org/tumbleweed/iso/openSUSE-Tumbleweed-DVD-x86_64-Current.iso</url>
+      <iso>
+        <volume-id>openSUSE-Tumbleweed-DVD-x86_64*</volume-id>
+        <system-id>LINUX</system-id>
+        <publisher-id>SUSE LINUX GmbH</publisher-id>
+      </iso>
+      <kernel>boot/x86_64/loader/linux</kernel>
+      <initrd>boot/x86_64/loader/initrd</initrd>
+    </media>
+
+    <resources arch="all">
+    <!-- http://en.opensuse.org/Hardware_requirements -->
+      <minimum>
+        <cpu>500000000</cpu>
+        <n-cpus>1</n-cpus>
+        <ram>1073741824</ram>
+        <storage>3221225472</storage>
+      </minimum>
+      <recommended>
+        <cpu>2400000000</cpu>
+        <ram>2147483648</ram>
+        <storage>5368709120</storage>
+      </recommended>
+    </resources>
+  </os>
+</libosinfo>
Index: libosinfo-0.3.0/po/POTFILES.in
===================================================================
--- libosinfo-0.3.0.orig/po/POTFILES.in
+++ libosinfo-0.3.0/po/POTFILES.in
@@ -217,6 +217,8 @@ data/os/opensuse.org/opensuse-12.2.xml.i
 data/os/opensuse.org/opensuse-12.3.xml.in
 data/os/opensuse.org/opensuse-13.1.xml.in
 data/os/opensuse.org/opensuse-13.2.xml.in
+data/os/opensuse.org/opensuse-42.1.xml.in
+data/os/opensuse.org/opensuse-tumbleweed.xml.in
 data/os/opensuse.org/opensuse-factory.xml.in
 data/os/opensuse.org/opensuse-unknown.xml.in
 data/os/oracle.com/solaris-11.xml.in
Index: libosinfo-0.3.0/test/isodata/opensuse/opensuse42.1/openSUSE-42.1-DVD-x86_64.iso.txt
===================================================================
--- /dev/null
+++ libosinfo-0.3.0/test/isodata/opensuse/opensuse42.1/openSUSE-42.1-DVD-x86_64.iso.txt
@@ -0,0 +1,29 @@
+CD-ROM is in ISO 9660 format
+System id: LINUX
+Volume id: openSUSE-Leap-42.1-DVD-x86_64026
+Volume set id: 
+Publisher id: SUSE LINUX GmbH
+Data preparer id: KIWI - http://opensuse.github.com/kiwi
+Application id: openSUSE-Leap-42.1-DVD-x86_64-Build0265-Media
+Copyright File id: 
+Abstract File id: 
+Bibliographic File id: 
+Volume set size is: 1
+Volume set sequence number is: 1
+Logical block size is: 2048
+Volume size is: 2269201
+El Torito VD version 1 found, boot catalog is in sector 20
+Joliet with UCS level 3 found
+Rock Ridge signatures version 1 found
+Eltorito validation header:
+    Hid 1
+    Arch 0 (x86)
+    ID 'SUSE LINUX GmbH'
+    Key 55 AA
+    Eltorito defaultboot header:
+        Bootid 88 (bootable)
+        Boot media 0 (No Emulation Boot)
+        Load segment 0
+        Sys type 0
+        Nsect 4
+        Bootoff 1628 5672
Index: libosinfo-0.3.0/test/isodata/opensuse/opensusetumbleweed/openSUSE-Tumbleweed-DVD-i586-Current.iso.txt
===================================================================
--- /dev/null
+++ libosinfo-0.3.0/test/isodata/opensuse/opensusetumbleweed/openSUSE-Tumbleweed-DVD-i586-Current.iso.txt
@@ -0,0 +1,29 @@
+CD-ROM is in ISO 9660 format
+System id: LINUX
+Volume id: openSUSE-Tumbleweed-DVD-i5860005
+Volume set id: 
+Publisher id: SUSE LINUX GmbH
+Data preparer id: KIWI - http://opensuse.github.com/kiwi
+Application id: openSUSE-Tumbleweed-DVD-i586-Build0005-Media
+Copyright File id: 
+Abstract File id: 
+Bibliographic File id: 
+Volume set size is: 1
+Volume set sequence number is: 1
+Logical block size is: 2048
+Volume size is: 2008612
+El Torito VD version 1 found, boot catalog is in sector 20
+Joliet with UCS level 3 found
+Rock Ridge signatures version 1 found
+Eltorito validation header:
+    Hid 1
+    Arch 0 (x86)
+    ID 'SUSE LINUX GmbH'
+    Key 55 AA
+    Eltorito defaultboot header:
+        Bootid 88 (bootable)
+        Boot media 0 (No Emulation Boot)
+        Load segment 0
+        Sys type 0
+        Nsect 4
+        Bootoff 363 867
Index: libosinfo-0.3.0/test/isodata/opensuse/opensusetumbleweed/openSUSE-Tumbleweed-DVD-x86_64-Current.iso.txt
===================================================================
--- /dev/null
+++ libosinfo-0.3.0/test/isodata/opensuse/opensusetumbleweed/openSUSE-Tumbleweed-DVD-x86_64-Current.iso.txt
@@ -0,0 +1,29 @@
+CD-ROM is in ISO 9660 format
+System id: LINUX
+Volume id: openSUSE-Tumbleweed-DVD-x86_6400
+Volume set id: 
+Publisher id: SUSE LINUX GmbH
+Data preparer id: KIWI - http://opensuse.github.com/kiwi
+Application id: openSUSE-Tumbleweed-DVD-x86_64-Build0004-Media
+Copyright File id: 
+Abstract File id: 
+Bibliographic File id: 
+Volume set size is: 1
+Volume set sequence number is: 1
+Logical block size is: 2048
+Volume size is: 2250813
+El Torito VD version 1 found, boot catalog is in sector 20
+Joliet with UCS level 3 found
+Rock Ridge signatures version 1 found
+Eltorito validation header:
+    Hid 1
+    Arch 0 (x86)
+    ID 'SUSE LINUX GmbH'
+    Key 55 AA
+    Eltorito defaultboot header:
+        Bootid 88 (bootable)
+        Boot media 0 (No Emulation Boot)
+        Load segment 0
+        Sys type 0
+        Nsect 4
+        Bootoff 160A 5642
